
#ifneq ($(TARGET_SIMULATOR),true)

LOCAL_PATH				:=	$(call my-dir)

include $(CLEAR_VARS)

CROSS_COMPILE			:=	$(CURDIR)/prebuilts/gcc/linux-x86/arm/armv7a-cros-linux-gnueabi-4.9.2/bin/armv7a-cros-linux-gnueabi-
TARGET_LINUXPATH		:=	$(CURDIR)/$(TARGET_OUT_INTERMEDIATES)/KERNEL_OBJ
TARGET_PREBUILT_KERNEL	:=	$(PRODUCT_OUT)/kernel

TLC59116_MODULE			:=	$(LOCAL_PATH)/tlc59116.ko
TLC59116_SUBDIRS		:=	$(CURDIR)/$(LOCAL_PATH)
TLC59116_SRC_FILES		:=	$(addprefix $(TLC59116_SUBDIRS)/,module.c)
TLC59116_CLEANUP		:=	$(addprefix $(TLC59116_SUBDIRS)/,		\
								*.o									\
								*.mod.?								\
								.*cmd								\
								.tmp_versions						\
								Module.symvers						\
								modules.order						\
							)

LOCAL_MODULE			:=	tlc59116.ko
LOCAL_MODULE_TAGS		:=	debug
LOCAL_MODULE_CLASS		:=	ETC
LOCAL_MODULE_PATH		:=	$(TARGET_OUT)/lib/modules
LOCAL_SRC_FILES			:=	tlc59116.ko


$(TLC59116_MODULE) : $(TARGET_PREBUILT_KERNEL) $(TLC59116_SRC_FILES) $(TLC59116_SUBDIRS)/Android.mk $(TLC59116_SUBDIRS)/Makefile
	@make ARCH=arm CROSS_COMPILE=$(CROSS_COMPILE) -C $(TARGET_LINUXPATH) SUBDIRS=$(TLC59116_SUBDIRS) modules
	@$(CROSS_COMPILE)strip --strip-unneeded $@
	@rm -rf $(TLC59116_CLEANUP)


include $(BUILD_PREBUILT)

#endif
